# Note that this is NOT a relocatable package
%define ver      1.3.1
%define rel      1
%define prefix   /usr

Summary: Handy library of utility functions
Name: glib13
Version: %ver
Release: %rel
Copyright: LGPL
Group: Libraries
Source: ftp://ftp.gimp.org/pub/gtk/v1.3/glib-%{ver}.tar.gz
BuildRoot: /var/tmp/glib-%{PACKAGE_VERSION}-root
URL: http://www.gtk.org
Docdir: %{prefix}/doc

%description
Handy library of utility functions.  Development libs and headers
are in glib-devel.

%package devel
Summary: GIMP Toolkit and GIMP Drawing Kit support library
Group: X11/Libraries

%description devel
Static libraries and header files for the support library for the GIMP's X
libraries, which are available as public libraries.  GLIB includes generally
useful data structures.


%changelog

* Tue Jun  1 1999 Jose Mercado <jmercado@mit.edu>
- fixed version numbers in files section.

* Thu Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- added libgthread to file list

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.15

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.14

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.13

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated in preparation for the GNOME freeze

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package

%prep
%setup -n glib-%{ver}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
				--prefix=%{prefix} \
				--program-suffix=13 \
				--libdir=%{prefix}/lib/glib13 \
				--includedir=%{prefix}/include/glib13
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mv $RPM_BUILD_ROOT%{prefix}/share/aclocal/glib.m4 \
	$RPM_BUILD_ROOT%{prefix}/share/aclocal/glib13.m4

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/lib/glib13/libglib-1.3.so.*
%{prefix}/lib/glib13/libgthread-1.3.so.*
%{prefix}/lib/glib13/libgmodule-1.3.so.*
%{prefix}/lib/glib13/libgobject-1.3.so.*

%files devel
%defattr(-, root, root)

%{prefix}/lib/glib13/lib*.so
%{prefix}/lib/glib13/*a
%{prefix}/lib/glib13/glib
%{prefix}/include/glib13/*
%{prefix}/man/man1/
%{prefix}/share/aclocal/*
%{prefix}/bin/*
